QGIS Application - Bug report #15070
GeoPackage connection missing in ‘DB Manager'
2016-06-18 03:47 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23013
Description

After creating a new GeoPackage layer the database connection in the 'DB Manager' is missing.

History

#1 - 2016-11-21 10:57 PM - Paolo Cavallini
- Status changed from Open to Feedback

Could you please check whether this is still valid in QGIS 2.18?
Thanks.

#2 - 2016-11-26 05:27 AM - Giovanni Manghi
- Status changed from Feedback to Open

Yes it is still true: QGIS is inconsistent compared to spatialite. When creating a new SL db this is registered as connection, and available in BD manager
and trough the "add spatialite layer" button. There is no "add gpkg layer" button and when creating a new gpkg this is not registered as a connection
(probably because that button is missing).

For this reason this do not seems a BD Manager issues (where you can manually register a new connection to an existing gpkg).

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:23 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
